跳至主要内容

此浏览器不再受支持。

请升级到 Microsoft Edge 以使用最新的功能、安全更新和技术支持。

下载 Microsoft Edge 有关 Internet Explorer 和 Microsoft Edge 的详细信息
microsoft-foundry.rest.security.o-auth2-auth

Routines

Queue an asynchronous routine dispatch

POST /routines/{routine_name}:dispatch_async

Queues an asynchronous dispatch for the specified routine.

标头参数

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

路径参数

routine_name string 必需

The unique name of the routine.

查询参数

api-version string 必需

The API version to use for this operation.

请求正文

Content-Type: application/json
payload invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a manual dispatch payload.

下列类型作之一:
invoke_agent_responses_api InvokeAgentResponsesApiDispatchPayload

A manual payload used to test a responses API routine dispatch.

type enum 必需

The manual dispatch payload type.

invoke_agent_responses_api
input InvokeAgentResponsesApiDispatchPayload 必需

The JSON value sent as the complete downstream responses input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

invoke_agent_invocations_api InvokeAgentInvocationsApiDispatchPayload

A manual payload used to test an invocations API routine dispatch.

type enum 必需

The manual dispatch payload type.

invoke_agent_invocations_api
input InvokeAgentInvocationsApiDispatchPayload 必需

The JSON value sent as the complete downstream invocations input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

响应

The request has succeeded.

正文

Content-Type: application/json
dispatch_id string

The dispatch identifier created for the routine dispatch.

action_correlation_id string

A downstream action correlation identifier, when available.

task_id string

A workspace task identifier created for the dispatch, when available.

Client error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

请求

POST /routines/{routine_name}:dispatch_async HTTP/1.1

响应

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-cn
你的隐私选择
  • AI 免责声明
  • 早期版本
  • 博客
  • 参与
  • 隐私
  • 消费者健康隐私
  • 使用条款
  • 商标
  • © Microsoft 2026